@charset "UTF-8";

/* ============================================ */
/* ============== Include Styles ============== */
/* ============================================ */

@import '_vars.css';

/* ============================================ */
/* =============== Block Styles =============== */
/* ============================================ */

/*/*/
.is-root-container.is-desktop-preview h1 {
    font-size: var(--fs-64) !important;
    line-height: 1.2;
    margin: 0 auto;
    letter-spacing: 1pt;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 1.75rem;
}
.is-root-container.is-desktop-preview h1.has-small-font-size {
    font-size: var(--fs-30) !important;
    margin-bottom: 1rem;
}
.is-root-container.is-desktop-preview h1.has-medium-font-size {
    font-size: var(--fs-30) !important;
    margin-bottom: 1rem;
}
.is-root-container.is-desktop-preview h1.has-large-font-size {
    font-size: var(--fs-38) !important;
    margin-bottom: 1.25rem;
}
.is-root-container.is-desktop-preview h1.has-x-large-font-size {
    font-size: var(--fs-48) !important;
    margin-bottom: 1.5rem;
}
/*/*/
.is-root-container.is-desktop-preview h2 {
    font-size: var(--fs-42) !important;
    line-height: 1.2;
    margin: 0 auto;
    margin-bottom: 2.5rem;
    font-weight: 600;
    margin-bottom: 3.25rem;
}
.is-root-container.is-desktop-preview h2.has-small-font-size {
    font-size: var(--fs-26) !important;
    margin-bottom: 2.5rem;
}
.is-root-container.is-desktop-preview h2.has-medium-font-size {
    font-size: var(--fs-26) !important;
    margin-bottom: 2.5rem;
}
.is-root-container.is-desktop-preview h2.has-large-font-size {
    font-size: var(--fs-32) !important;
    margin-bottom: 2.75rem;
}
.is-root-container.is-desktop-preview h2.has-x-large-font-size {
    font-size: var(--fs-38) !important;
    margin-bottom: 3rem;
}
/*/*/
.is-root-container.is-desktop-preview p {
    margin-top: 0;
    margin-bottom: 1.5rem;
    line-height: 1.75;
}
.is-root-container.is-desktop-preview p.has-small-font-size {
    font-size: var(--fs-body-xs) !important;
    margin-bottom: 2.5rem;
}
.is-root-container.is-desktop-preview p.has-medium-font-size {
    font-size: var(--fs-body-l) !important;
    margin-bottom: 2.5rem;
}
.is-root-container.is-desktop-preview p.has-large-font-size {
    font-size: var(--fs-26) !important;
    margin-bottom: 2.75rem;
}
.is-root-container.is-desktop-preview p.has-x-large-font-size {
    font-size: var(--fs-28) !important;
    margin-bottom: 3rem;
}
.is-root-container.is-desktop-preview > p:last-child {
    margin-bottom: 0;
}
/*/*/
.is-root-container.is-desktop-preview .wp-block-buttons.is-layout-flex {
    display: flex;
    gap: 2rem;
}
/*/*/
.is-root-container.is-desktop-preview .has-primary-color {
    color: var(--cl-primary);
}
.is-root-container.is-desktop-preview .has-white-color {
    color: var(--cl-white);
}
.is-root-container.is-desktop-preview .has-black-color {
    color: var(--cl-black);
}
.is-root-container.is-desktop-preview .has-gray-color {
    color: var(--cl-gray);
}
.is-root-container.is-desktop-preview .has-light-color {
    color: var(--cl-light);
}
/*/*/
.wp-block-buttons .wp-block-button .wp-element-button {
    display: inline-block;
    font-family: var(--ff-primary);
    font-size: var(--fs-body-l);
    font-weight: 600;
    text-align: center;
    color: var(--cl-primary);
    padding: calc(1rem - 2px) 2.25rem 1rem;
    border: 2px solid var(--cl-primary);
    transition: all 200ms ease-in-out;
    background-color: var(--cl-white);
    text-transform: uppercase;
    line-height: 1.3;
    letter-spacing: 1pt;
    border-radius: var(--br-xl);
    min-width: 275px !important;
}
/*/*/
.is-root-container.is-desktop-preview .wp-block-shortcode {
    margin-bottom: 1.5rem;
}